API Explorer 896 endpoints

Create new activity_co_benefit

POST /obp/dynamic-entity/banks/ogcr/activity_co_benefit

OBPv4.0.0-dynamicEntity_createactivity_co_benefit_ogcr Roles: CanCreateDynamicEntityRecord_activity_co_benefit(per bank) _Activity_co_benefit(ogcr)Dynamic-EntityDynamic

Create new activity_co_benefit.

Parsed entity activity_co_benefit. This Dynamic Entity is part of OGCR.

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"activity_co_benefit"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "activity_id": "string",
  "co_benefit_id": "string"
}
Example success response
{
  "bank_id": "ogcr",
  "activity_co_benefit": {
    "activity_co_benefit_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "activity_id": "string",
    "co_benefit_id": "string"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createactivity_co_benefit_ogcr Originally /banks/ogcr/activity_co_benefit